#!/bin/sh
export PATH='/usr/local/libexec/ccache:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: warp
version: 3.0.0.5
id: warp-3.0.0.5-6f874dd85588b785bee4436c07406b8d

license: MIT
copyright:
maintainer: michael@snoyman.com
stability: Stable
homepage: http://github.com/yesodweb/wai
package-url:
synopsis: A fast, light-weight web server for WAI applications.
description: The premier WAI handler. For more information, see <http://steve.vinoski.net/blog/2011/05/01/warp-a-haskell-web-server/>.
             .
             Changelog
             .
             [3.0.0] WAI no longer uses conduit for its streaming interface.
             .
             [2.1.0] The @onOpen@ and @onClose@ settings now provide the @SockAddr@ of the client, and @onOpen@ can return a @Bool@ which will close the connection. The @responseRaw@ response has been added, which provides a more elegant way to handle WebSockets than the previous @settingsIntercept@. The old settings accessors have been deprecated in favor of new setters, which will allow settings changes to be made in the future without breaking backwards compatibility.
             .
             [2.0.0] ResourceT is not used anymore. Request and Response is now abstract data types. To use their constructors, Internal module should be imported.
             .
             [1.3.9] Support for byte range requests.
             .
             [1.3.7] Sockets now have FD_CLOEXEC set on them. This behavior is more secure, and the change should not affect the vast majority of use cases. However, it appeared that this is buggy and is fixed in 2.0.0.
category: Web, Yesod
author: Michael Snoyman, Kazu Yamamoto, Matt Brown
exposed: True
exposed-modules: Network.Wai.Handler.Warp
                 Network.Wai.Handler.Warp.Buffer Network.Wai.Handler.Warp.Timeout
                 Network.Wai.Handler.Warp.Internal
hidden-modules: Network.Wai.Handler.Warp.Conduit
                Network.Wai.Handler.Warp.Date Network.Wai.Handler.Warp.FdCache
                Network.Wai.Handler.Warp.Header Network.Wai.Handler.Warp.IO
                Network.Wai.Handler.Warp.IORef Network.Wai.Handler.Warp.ReadInt
                Network.Wai.Handler.Warp.Recv Network.Wai.Handler.Warp.Request
                Network.Wai.Handler.Warp.RequestHeader
                Network.Wai.Handler.Warp.Response
                Network.Wai.Handler.Warp.ResponseHeader
                Network.Wai.Handler.Warp.Run Network.Wai.Handler.Warp.SendFile
                Network.Wai.Handler.Warp.Settings Network.Wai.Handler.Warp.Thread
                Network.Wai.Handler.Warp.Types Network.Wai.Handler.Warp.Windows
                Paths_warp Network.Wai.Handler.Warp.MultiMap
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.8.3/warp-3.0.0.5
library-dirs: /usr/local/lib/cabal/ghc-7.8.3/warp-3.0.0.5
              /usr/local/lib
hs-libraries: HSwarp-3.0.0.5
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: array-0.5.0.0-98aa445e59f3eb0c886795ff07406d84
         base-4.7.0.1-812360bc88c9859b8259f0d90b6e2faa
         blaze-builder-0.3.3.2-b6514717f3839c85cf28f4994a7821a4
         bytestring-0.10.4.0-2182937da706a7ad10a5093b31e299db
         case-insensitive-1.1.0.3-7430f6b323cf9d03cf63d7105e4ae088
         ghc-prim-0.3.1.0-954cb57749cf319beafdc89b3415422c
         hashable-1.2.2.0-7cfb61f0c68a03cacd19199a33e9c118
         http-date-0.0.4-e3c94cec85cdcc1dccc2bafa053d4d1b
         http-types-0.8.5-e636d3ee94cedbb5062aee2c7ef6a606
         network-2.4.2.3-dd7481ccaa1ad53154748ec81e6c49e7
         simple-sendfile-0.2.15-cbf36171060095531d5a3bbca94e82c5
         streaming-commons-0.1.4.1-214959ff483759b8bcff221c24b439b3
         text-1.1.0.0-ae5f08307fb9d06679d77b9fce515032
         unix-2.7.0.1-788bb017f25d23a9432018ddc61a967e
         unix-compat-0.4.1.3-ff2eb5076bf5864bc45c22dbd6cac356
         void-0.6.1-0cb41d75dcacd001661ded375f400f01
         wai-3.0.1.1-1f066b7c49c48b224f17f94deb8c9477
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.8.3/warp-3.0.0.5/html/warp.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.8.3/warp-3.0.0.5/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
